﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;

namespace SfListViewSamples
{
    public class Model : INotifyPropertyChanged
    {

        private ImageSource image;
        public ImageSource Image
        {
            get { return image; }
            set { image = value; this.RaisedOnPropertyChanged("Image"); }
        }


        private string contactName;
        public string ContactName
        {
            get { return contactName; }
            set { this.contactName = value; this.RaisedOnPropertyChanged("ContactName"); }
        }

        private string contactNumber;
        public string ContactNumber
        {
            get { return contactNumber; }
            set { this.contactNumber = value; this.RaisedOnPropertyChanged("ContactNumber"); }
        }
        
        public Model()
        {

        }
        public Model(string name, string number)
        {
            contactName = name;
            contactNumber = number;
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisedOnPropertyChanged(string v)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(v));
        }
    }
}
